#define date 20150113
%define rel 1
%define release %{?date:%mkrel -c %{date} %{rel}}%{!?date:%mkrel %{rel}}

Summary: PPAPI-host NPAPI-plugin adapter
Name: freshplayerplugin
Version: 0.3.4
Release: %{release}
# git clone https://github.com/i-rinat/freshplayerplugin
# cd freshplayerplugin
# git archive --prefix=freshplayerplugin-$(date +%Y%m%d)/ --format=tar.gz master > ../freshplayerplugin-$(date +%Y%m%d).tar.gz
# for stable tarballs:
# wget https://github.com/i-rinat/freshplayerplugin/archive/v%{version}.tar.gz -O freshplayerplugin-%{version}.tar.gz
Source0: %{name}-%{?date}%{!?date:%{version}}.tar.gz
License: MIT
Group: Networking/WWW
Url: https://github.com/i-rinat/freshplayerplugin
BuildRequires: cmake
BuildRequires: ragel
BuildRequires: pkgconfig(alsa)
BuildRequires: pkgconfig(xrandr)
BuildRequires: pkgconfig(xcursor)
BuildRequires: pkgconfig(gl)
BuildRequires: pkgconfig(libevent)
BuildRequires: pkgconfig(libevent_pthreads)
BuildRequires: pkgconfig(freetype2)
BuildRequires: pkgconfig(openssl)
BuildRequires: pkgconfig(gtk+-2.0)
BuildRequires: pkgconfig(libpulse)
BuildRequires: pkgconfig(libavcodec)
BuildRequires: pkgconfig(libva)
BuildRequires: pkgconfig(vdpau)
BuildRequires: pkgconfig(libv4l2)

%description
The main goal of this project is to get PPAPI (Pepper) Flash player
working in Firefox. It implements an adapter that looks like a browser
to a PPAPI plugin and looks like an NPAPI plugin to the browser. Note
that this particular implementation does not implement any sandbox.

This package expects Google Chrome (or at least its Pepper Flash plugin)
to be installed in the standard location.

%prep
%setup -qn %{name}-%{?date}%{!?date:%{version}}
%autopatch -p1

%build
%cmake
%make

%install
mkdir -p %{buildroot}%{_libdir}/mozilla/plugins
install build/libfreshwrapper-flashplayer.so %{buildroot}%{_libdir}/mozilla/plugins/

%files
%doc data/freshwrapper.conf.example
%{_libdir}/mozilla/plugins/libfreshwrapper-flashplayer.so


%changelog
* Mon Dec 21 2015 luigiwalser <luigiwalser> 0.3.4-1.mga5
+ Revision: 913253
- 0.3.4 (mga#17338)
- 0.3.1

* Wed Jan 14 2015 luigiwalser <luigiwalser> 0.2.2-1.mga5
+ Revision: 810669
- update to final 0.2.2 release (from 20150113)
- add two upstream patches from 20150113 to fix gtk-3.0 incompatibilities

* Tue Jan 13 2015 luigiwalser <luigiwalser> 0.2.2-0.20150110.1.mga5
+ Revision: 810253
- update to 20150110 snapshot which is working again

* Thu Jan 08 2015 luigiwalser <luigiwalser> 0.2.2-0.20150107.1.mga5
+ Revision: 809488
- imported package freshplayerplugin

